Page MenuHomePhabricator

Add mention failure notifications
Closed, ResolvedPublic

Description

Problem: Mentions are not always sent out (e.g. if more than 50 people were mentioned at once). Currently, users do not get any feedback if their intended mention failed to send.

Solution:
Add a new checkbox to the notification settings to opt in to mention failures notifications. If set, users should receive a notification whenever a mention has not been sent out.
N.b.: This is not about checking whether a mention has been delivered, but only if it has been sent out.

Background: This task is based on a wish that received 21 points (#9) in the German Community Wishlist[1]. Originally, the wish was to receive an information about the sent messages. To keep the number of notifications smaller, and to help people use mentions in a way that they are sent, the task informs about mention failures, and adds the reasons for the failure as well.

[1] Link to wish (in German): https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Topw%C3%BCnsche#Bei_Speichern_Hinweis_.C3.BCber_abgegebene_Benachrichtigungen_.5BUmfrage_2015.5D
in English: https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes#Notifications_about_failed_mentions

——————————————
Sites that currently describe mention behavior:

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added subscribers: Zppix, Sadads, Aklapper. · View Herald TranscriptMay 19 2016, 10:43 AM
Lea_WMDE updated the task description. (Show Details)May 23 2016, 2:30 PM
Lea_WMDE updated the task description. (Show Details)May 23 2016, 2:44 PM
Lea_WMDE updated the task description. (Show Details)May 23 2016, 3:08 PM
Lea_WMDE renamed this task from [GTWL] Get save notice when mentioning people to Add mention failure notifications as opt in setting.Jun 15 2016, 9:58 AM
Lea_WMDE added a project: Epic.
Lea_WMDE updated the task description. (Show Details)

I changed the task description to reflect the change from positive mention notifications to mention failure notifications

Lea_WMDE renamed this task from Add mention failure notifications as opt in setting to Add mention failure notifications.Jun 15 2016, 2:55 PM

New feedback about having a clear error message when sending 50+ mentions.

Notifying a user of failure seems like weak, possibly bad, design. I think we can do better. There are different use-cases here.

  • If a user is trying to ping 50 users, we need to look at why. The user should perhaps be using a different tool such as MassMessage or a mailing list. We can recommend these tools to the user before the edit is saved instead of saving the edit and then telling the user that we failed them.
  • If a user is trying to ping a user from a previous edit, the parser function approach that @Legoktm proposes is probably best.

I completely agree that @Legoktm’s solution is a great one [1], and I would love to see it implemented in the future. However, to realize that solution one would have to lead a discussion with the whole international community, and support the whole process of switching / having the old and new system work side by side. To lead such a discussion, internationally, is out of scope for the TCB team and would in any case probably take quite a while. Our solution is meant to quickly find a solution for one of the wishes of the German-speaking community wishlist[2], helping out until Legoktm’s suggestion is realized. It is also meant to help educate users in how mentions currently work, which makes it easier to discuss future changes. Once people are working on realizing Legoktm's solution, we are happy to help!
The case of mentions not being sent, because the user tried to mention more than 50 people at once is one of multiple reasons why mentions currently fail, and right now most editors only seem to have a vague idea about the conditions that need to be met. This is the intermediate step we aim to fill in.

[1]https://www.mediawiki.org/wiki/User:Legoktm/pings
[2]T139962: When saving, be informed about mentions you sent (#9)

Change 302293 had a related patch set uploaded (by Catrope):
Add $wmgEchoMentionStatusNotifications and enable it in beta labs

https://gerrit.wikimedia.org/r/302293

Change 302293 merged by jenkins-bot:
Add $wmgEchoMentionStatusNotifications and enable it in beta labs

https://gerrit.wikimedia.org/r/302293

Mentioned in SAL [2016-08-01T23:25:02Z] <dereckson@tin> Synchronized wmf-config/: Add $wmgEchoMentionStatusNotifications and enable it in beta labs (T135717, T139623) (duration: 00m 30s)

Mentioned in SAL [2016-08-01T23:27:25Z] <dereckson@tin> Synchronized wmf-config/: Revert "Add $wmgEchoMentionStatusNotifications and enable it in beta labs" (T135717, T139623) (duration: 00m 27s)

Change 302377 had a related patch set uploaded (by Dereckson):
Revert "Revert "Add $wmgEchoMentionStatusNotifications and enable it in beta labs""

https://gerrit.wikimedia.org/r/302377

Change 302377 merged by jenkins-bot:
Revert "Revert "Add $wmgEchoMentionStatusNotifications and enable it in beta labs""

https://gerrit.wikimedia.org/r/302377

Mentioned in SAL [2016-08-03T00:19:22Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Add $wmgEchoMentionStatusNotifications and enable it in beta labs (no-op in prod, T135717, T139623) (duration: 00m 25s)

Mentioned in SAL [2016-08-03T00:20:30Z] <dereckson@tin> Synchronized wmf-config/CommonSettings.php: Add $wmgEchoMentionStatusNotifications and enable it in beta labs (no-op in prod, T135717, T139623) (duration: 00m 26s)

Johan added a subscriber: Johan.

When will this be deployed to content wikis?

We are planning to have it on the test cluster for about a month for extended testing, and will deploy it to the test cluster once all mention-notification related stories are done. This will probably be in about one or two weeks.

He7d3r added a subscriber: He7d3r.Aug 8 2016, 5:44 PM

I'm unclear on the relationship between this task and T138080: Also send mention notifications to self.

@MZMcBride Both tasks were started due to the same wish. However, T138080 was thought to be a change in how mentions work (which we discarded after the template problem occured), whereas this task is an opt-in feature that reports errors that occured when the system tried to send a mention, not changing anything about how mentions work.

I commented in T138080 but will cross post here...

@Pine these do not meet the criteria that is needed to class the edit as a 'failed mention'.
In order to even qualify as a potential mention the edit must have a signature, otherwise every edit that included a user link may be counted as a failed mention.
Also for exactly the reason you described above self mentions do not trigger a mention failure, you will never be mentioned by yourself.

The cases this feature tries to cover include adding multiple sections while trying to mention, editing text rather than adding text etc.

Trizek-WMF added a comment.EditedMay 4 2017, 10:04 AM

Isn't this task solved? We have notifications for mentions failure, no?

Lea_WMDE closed this task as Resolved.May 4 2017, 12:42 PM
Lea_WMDE claimed this task.

@Trizek-WMF yes, you are right! Thanks :)

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 5 2018, 7:46 PM